finley/src/Assemble_gradient.cpp File Reference
`#include "Assemble.h"`
`#include "Util.h"`
`#include <escript/index.h>`

## Namespaces

| finley
| A suite of factory methods for creating various finley domains.

## Functions

template<typename Scalar >
void | finley::Assemble_gradient (const NodeFile *nodes, const ElementFile *elements, escript::Data &gradient, const escript::Data &data)
template void | finley::Assemble_gradient< escript::DataTypes::real_t > (const NodeFile *nodes, const ElementFile *elements, escript::Data &out, const escript::Data &data)
template void | finley::Assemble_gradient< escript::DataTypes::cplx_t > (const NodeFile *nodes, const ElementFile *elements, escript::Data &out, const escript::Data &data)